Name: icinga-graphite
Version: 1.2.4+5.g2f675e7
Release: 1729292615.fc39
Summary: Icinga Web Graphite Integration

Group: Productivity/Networking/Web/Frontends

License: GPLv2

URL: https://icinga.com

Source0: icinga-graphite-1.2.4+5.g2f675e7.tgz

Requires: icinga-graphite-web = 1.2.4+5.g2f675e7-1729292615.fc39

BuildArch: noarch

%description
This package integrates an existing Graphite installation into
Icinga Web. It provides a new menu section with two
general overviews for hosts and services as well as an extension to the
host and service detail views.

%package web
Summary: Icinga Graphite web files

Requires: icingaweb2 >= 2.10.3
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

%description web
Web files for Icinga Web Graphite Integration.

%prep
%autosetup

install -d %_topdir/BUILDROOT/icinga-graphite-1.2.4+5.g2f675e7-1729292615.fc39.x86_64/usr/share/icingaweb2/modules/graphite
cp -prv * %_topdir/BUILDROOT/icinga-graphite-1.2.4+5.g2f675e7-1729292615.fc39.x86_64/usr/share/icingaweb2/modules/graphite

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/graphite/doc
%license LICENSE
/usr/share/icingaweb2/modules/graphite

%post web
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/graphite /etc/icingaweb2/enabledModules/graphite
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/graphite
fi

%changelog
* Fri Oct 18 2024 Icinga GmbH <info@icinga.com> - 1.2.4+5.g2f675e7-1729292615$RPM_DIST
- Version 1.2.4+5.g2f675e7-1729292615

